Core - Bug # 56947

Task # 51436 (Resolved): Standalone unit test runner

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Unit/Functional Tests
Created: 2014-03-15 Assigned To:

Updated: 2014-03-16 Due date:

TYPOS3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: No

Sprint Focus:

Subiject: Tests: incomplete mock of TYPO3_DB

Description

Associated revisions

Revision 9cdedd07 - 2014-03-16 00:17 - Christian Kuhn

[BUGFIX] Tests: Incomplete mock of $§GLOBALS['TYPO3_DB']

Still some unit tests rely on TYPO3_DB, mostly through the extbase
object manager. The patch fixes most occurrences and skips two
complex tests that should be moved to functional tests later.

This should be the final patch for tests accessing TYPO3_DB.

Change-Id: 18deb0fb9c13b47c8ce4262f041744def9ebb0e79
Resolves: #56947

Related: #51436

Releases: 6.2

Reviewed-on: https://review.typo3.org/28431

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-03-15 23:54 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28431

#2 - 2014-03-15 23:55 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28431

#3 - 2014-03-16 00:30 - Christian Kuhn
https://review.typo3.org/28431
https://review.typo3.org/28431
https://review.typo3.org/28431

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:9cdedd07c43388b5dde3e698d6b77077330277d9.
